Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
allocation_info Struct Reference

`#include <objspace.h>`

## Data Fields
int | living
VALUE | flags
VALUE | klass
const char * | path
unsigned long | line
const char * | class_path
VALUE | mid
size_t | generation

## Detailed Description

Definition at line 5 of file objspace.h.

## Field Documentation

## ◆ class_path

const char* allocation_info::class_path

Definition at line 14 of file objspace.h.

## ◆ flags

VALUE allocation_info::flags

Definition at line 8 of file objspace.h.

## ◆ generation

size_t allocation_info::generation

Definition at line 16 of file objspace.h.

## ◆ klass

VALUE allocation_info::klass

Definition at line 9 of file objspace.h.

## ◆ line

unsigned long allocation_info::line

Definition at line 13 of file objspace.h.

## ◆ living

int allocation_info::living

Definition at line 7 of file objspace.h.

## ◆ mid

VALUE allocation_info::mid

Definition at line 15 of file objspace.h.

## ◆ path

const char* allocation_info::path

Definition at line 12 of file objspace.h.

The documentation for this struct was generated from the following file:

- ext/objspace/objspace.h